package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PricingEspecificoOcupacionDAO;
import com.rjconsultores.ventaboletos.entidad.PricingEspecificoOcupacion;


@Repository("pricingEspecificoOcupacionDAO")
public class PricingEspecificoOcupacionHibernateDAO extends GenericHibernateDAO<PricingEspecificoOcupacion, Long> implements PricingEspecificoOcupacionDAO {

    @Autowired
    public PricingEspecificoOcupacionHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }
	
	@SuppressWarnings("unchecked")
	@Override
	public List<PricingEspecificoOcupacion> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
	}
}
